Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061022 - [abrt] mc: sftp_packetlist_flush(): mc killed by SIGSEGV
Summary: [abrt] mc: sftp_packetlist_flush(): mc killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0a04ad12383cd170d65e5a75a47...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 09:04 UTC by Doncho Gunchev
Modified: 2015-06-29 14:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:59:00 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details
File: cgroup (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details
File: core_backtrace (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details
File: dso_list (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details
File: environ (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details
File: exploitable (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details
File: limits (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details
File: maps (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details
File: open_fds (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details
File: proc_pid_status (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details
File: var_log_messages (deleted)
2014-02-04 09:04 UTC, Doncho Gunchev
no flags Details

Description Doncho Gunchev 2014-02-04 09:04:14 UTC
Version-Release number of selected component:
mc-4.8.11-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/mc -P /tmp/mc-dgunchev/mc.pwd.22173
crash_function: sftp_packetlist_flush
executable:     /usr/bin/mc
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sftp_packetlist_flush at sftp.c:428
 #1 libssh2_sftp_seek64 at sftp.c:2239
 #2 sftpfs_lseek at file.c:395
 #3 sftpfs_cb_lseek at vfs_class.c:578
 #4 mc_lseek at interface.c:753
 #5 mcview_load at mcviewer.c:357
 #6 mcview_viewer at mcviewer.c:249
 #7 view_file_at_line at cmd.c:672
 #8 view_file at cmd.c:719
 #9 do_view_cmd at cmd.c:160

Potential duplicate: bug 969276

Comment 1 Doncho Gunchev 2014-02-04 09:04:17 UTC
Created attachment 858963 [details]
File: backtrace

Comment 2 Doncho Gunchev 2014-02-04 09:04:20 UTC
Created attachment 858964 [details]
File: cgroup

Comment 3 Doncho Gunchev 2014-02-04 09:04:23 UTC
Created attachment 858965 [details]
File: core_backtrace

Comment 4 Doncho Gunchev 2014-02-04 09:04:25 UTC
Created attachment 858966 [details]
File: dso_list

Comment 5 Doncho Gunchev 2014-02-04 09:04:27 UTC
Created attachment 858967 [details]
File: environ

Comment 6 Doncho Gunchev 2014-02-04 09:04:29 UTC
Created attachment 858968 [details]
File: exploitable

Comment 7 Doncho Gunchev 2014-02-04 09:04:31 UTC
Created attachment 858969 [details]
File: limits

Comment 8 Doncho Gunchev 2014-02-04 09:04:35 UTC
Created attachment 858970 [details]
File: maps

Comment 9 Doncho Gunchev 2014-02-04 09:04:37 UTC
Created attachment 858971 [details]
File: open_fds

Comment 10 Doncho Gunchev 2014-02-04 09:04:39 UTC
Created attachment 858972 [details]
File: proc_pid_status

Comment 11 Doncho Gunchev 2014-02-04 09:04:41 UTC
Created attachment 858973 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:48:05 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:59:00 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.